VelocityReport Plugin - Defect #503

vr_config wildcard causes error
04/27/2012 05:04 PM - Robert Ivens

Status: Closed Start date: 04/27/2012
Priority: High Due date:

Assignee: % Done: 0%
Category: velocity Estimated time: 0.00 hour
Target version: v2.0

Browser (if web

client):

Description

When | use the following vr_config.json settings | get the error below:

VelocityCMS_broker: {
type: "session",
pages: {

"*": "pages.html"
}
}

Error:

HTTP Status 400 - java.util.regex. PatternSyntaxException: Dangling meta character "' near index 0 * * at
java.util.regex.Pattern.error(Pattern.java:1713) at java.util.regex.Pattern.sequence(Pattern.java:1878) at
java.util.regex. Pattern.expr(Pattern.java:1752) at java.util.regex.Pattern.compile(Pattern.java:1460) at
java.util.regex. Pattern.<init>(Pattern.java:1133) at java.util.regex. Pattern.compile(Pattern.java:823) at
java.lang.String.split(String.java:2292) at java.lang.String.split(String.java:2334) at
net.stuff.servoy.plugin.velocityreport.server.SolutionConfig.getPageConfig(SolutionConfig.java:275) at
net.stuff.servoy.plugin.velocityreport.server.SolutionConfig.getFileName(SolutionConfig.java:234) at
net.stuff.servoy.plugin.velocityreport.server.SolutionConfig.existFormName(SolutionConfig.java:132) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServiet.vrService(VelocityWebServlet.java:366) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServiet.doGet(VelocityWebServiet.java: 164) at
javax.servlet.http.HttoServlet.service(HttpServiet.java:617) at javax.serviet.http.HttpServiet.service(HttpServiet.java:717) at
com.servoy.j2db.server.serviets. WebServicesServiet.service(WebServicesServiet.java:15) at
javax.servlet.http.HttoServlet.service(HttpServiet.java:717) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206) at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233) at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191) at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127) at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102) at
org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:554) at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109) at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298) at
org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859) at
org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Htip11Protocol.java:588) at
org.apache.tomcat.util.net.JloEndpoint$Worker.run(JloEndpoint.java:489) at java.lang. Thread.run(Thread.java:680)

%

When | add a page entry before that without the wildcard then it all works.

History

#1 - 05/01/2012 05:10 PM - Patrick Talbot

- Status changed from New to Resolved

Will be fixed in next version

#2 - 05/01/2012 07:09 PM - Patrick Talbot
- Status changed from Resolved to Closed

- Target version set to v2.0
